<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: AccessoryLightMulti Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAccessoryLightMulti.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classAccessoryLightMulti-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AccessoryLightMulti Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for AccessoryLightMulti:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classAccessoryLightMulti.png" usemap="#AccessoryLightMulti_map" alt=""/>
  <map id="AccessoryLightMulti_map" name="AccessoryLightMulti_map">
<area href="classAccessory.html" alt="Accessory" shape="rect" coords="0,0,127,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adc4e714b7f01c4e52fd9c43b019508c4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#adc4e714b7f01c4e52fd9c43b019508c4">AccessoryLightMulti</a> ()</td></tr>
<tr class="separator:adc4e714b7f01c4e52fd9c43b019508c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2048a93d24ba8c9ebcec76943489ea91"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a2048a93d24ba8c9ebcec76943489ea91">begin</a> (unsigned long inId, uint8_t inSize, unsigned long inBlinkDuration)</td></tr>
<tr class="separator:a2048a93d24ba8c9ebcec76943489ea91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78bf5f84b109939af2c7c13cd51bd9d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a78bf5f84b109939af2c7c13cd51bd9d0">beginLight</a> (uint8_t inIndex, <a class="el" href="classPort.html">Port</a> *inpPort, int inIntensity = 255)</td></tr>
<tr class="separator:a78bf5f84b109939af2c7c13cd51bd9d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b6bfb68a1e0a43014e4513a31eb9b75"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a6b6bfb68a1e0a43014e4513a31eb9b75">IsOn</a> (uint8_t inIndex) const </td></tr>
<tr class="separator:a6b6bfb68a1e0a43014e4513a31eb9b75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8009f072b92207ca2973dba58fe27f08"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a8009f072b92207ca2973dba58fe27f08">IsBlinking</a> (uint8_t inIndex) const </td></tr>
<tr class="separator:a8009f072b92207ca2973dba58fe27f08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace2d14897b7bd7507ae2efd9559f414b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#ace2d14897b7bd7507ae2efd9559f414b">IsFading</a> (uint8_t inIndex) const </td></tr>
<tr class="separator:ace2d14897b7bd7507ae2efd9559f414b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43c0226e1ecd6631fa58c1535d222ae1"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a43c0226e1ecd6631fa58c1535d222ae1">GetSize</a> () const </td></tr>
<tr class="separator:a43c0226e1ecd6631fa58c1535d222ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cb4fc1241f7554a65ac7f5200d64a06"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a9cb4fc1241f7554a65ac7f5200d64a06">AddMovingPosition</a> (unsigned long inId, int inOnMask, int inBlinkMask = 0)</td></tr>
<tr class="separator:a9cb4fc1241f7554a65ac7f5200d64a06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4858bce0c40dcd22c889260fe3aef472"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a4858bce0c40dcd22c889260fe3aef472">AdjustMovingPositionBlinksSize</a> (uint8_t inNewSize)</td></tr>
<tr class="separator:a4858bce0c40dcd22c889260fe3aef472"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2c436dc5e09105f3993e14899ec41d2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#af2c436dc5e09105f3993e14899ec41d2">GetMovingPositionBlinksByIndex</a> (int inIndex) const </td></tr>
<tr class="separator:af2c436dc5e09105f3993e14899ec41d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4908ded538e80f4bcf00121abc530e02"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a4908ded538e80f4bcf00121abc530e02">SetBlinking</a> (uint8_t inIndex, unsigned long inBlinkingDelay)</td></tr>
<tr class="separator:a4908ded538e80f4bcf00121abc530e02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add77cc4740dc625ade9a66d26103dcf2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#add77cc4740dc625ade9a66d26103dcf2">SetFading</a> (uint8_t inIndex, uint8_t inStep, uint8_t inDelay)</td></tr>
<tr class="separator:add77cc4740dc625ade9a66d26103dcf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4176e67ab3b73ba0e497f0afd8d37c9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#ac4176e67ab3b73ba0e497f0afd8d37c9">Event</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:ac4176e67ab3b73ba0e497f0afd8d37c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f44a200112a4f9a7975b5a2bfc9acee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a8f44a200112a4f9a7975b5a2bfc9acee">LightOn</a> (uint8_t inIndex)</td></tr>
<tr class="separator:a8f44a200112a4f9a7975b5a2bfc9acee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66878a02b8d664908bbea1c709f1ed13"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a66878a02b8d664908bbea1c709f1ed13">LightOff</a> (uint8_t inIndex)</td></tr>
<tr class="separator:a66878a02b8d664908bbea1c709f1ed13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a908b9ccc1cadab73a7b0c82408956242"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a908b9ccc1cadab73a7b0c82408956242">Blink</a> (uint8_t inIndex)</td></tr>
<tr class="separator:a908b9ccc1cadab73a7b0c82408956242"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a625c85995aed27f770ebeaf470e4f3d5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a625c85995aed27f770ebeaf470e4f3d5">LightOn</a> ()</td></tr>
<tr class="separator:a625c85995aed27f770ebeaf470e4f3d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc2f4f0a58167b6c58528e1a28ac3fff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#abc2f4f0a58167b6c58528e1a28ac3fff">LightOff</a> ()</td></tr>
<tr class="separator:abc2f4f0a58167b6c58528e1a28ac3fff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eca70cd9de57a113e4f05e19ff6f135"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLightMulti.html#a8eca70cd9de57a113e4f05e19ff6f135">Blink</a> ()</td></tr>
<tr class="separator:a8eca70cd9de57a113e4f05e19ff6f135"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classAccessory')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:a64e6260a68ac84d94394a2076746f98a inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a64e6260a68ac84d94394a2076746f98a">Accessory</a> ()</td></tr>
<tr class="separator:a64e6260a68ac84d94394a2076746f98a inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94464d9b49e5700d3c20d0cd206ac51 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af94464d9b49e5700d3c20d0cd206ac51">begin</a> (ACC_STATE inStartingState = STATE_NONE)</td></tr>
<tr class="separator:af94464d9b49e5700d3c20d0cd206ac51 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2883977d969dcde8f078934b4a9ed12 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPort.html">Port</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">GetPort</a> () const </td></tr>
<tr class="separator:ac2883977d969dcde8f078934b4a9ed12 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b837b3afb75f5eadcde5e1742db5c7d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a> () const </td></tr>
<tr class="separator:a6b837b3afb75f5eadcde5e1742db5c7d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae26158a4fc16855e72706b317c40f9e8 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae26158a4fc16855e72706b317c40f9e8">GetPreviousState</a> () const </td></tr>
<tr class="separator:ae26158a4fc16855e72706b317c40f9e8 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69732e492455231abb564627cf66be7c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a69732e492455231abb564627cf66be7c">IsNone</a> () const </td></tr>
<tr class="separator:a69732e492455231abb564627cf66be7c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05332408472b083ff1368172b79946be inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a05332408472b083ff1368172b79946be">IsFirst</a> () const </td></tr>
<tr class="separator:a05332408472b083ff1368172b79946be inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecdd43db80db0467109219f68d5fb7e4 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aecdd43db80db0467109219f68d5fb7e4">IsSecond</a> () const </td></tr>
<tr class="separator:aecdd43db80db0467109219f68d5fb7e4 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57d1cb4de69eb625fc2bb82788591a22 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">AddMovingPosition</a> (unsigned long inId, int inPosition)</td></tr>
<tr class="separator:a57d1cb4de69eb625fc2bb82788591a22 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac818b7112183d3d65ec361c8402f927f inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac818b7112183d3d65ec361c8402f927f">GetDebounceDelay</a> () const </td></tr>
<tr class="separator:ac818b7112183d3d65ec361c8402f927f inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a933cd0907dc257b1f1047c33d41ceb2a inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a933cd0907dc257b1f1047c33d41ceb2a">GetLastMoveTime</a> () const </td></tr>
<tr class="separator:a933cd0907dc257b1f1047c33d41ceb2a inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cfe1c1ca32753832146656755f6e7a7 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a8cfe1c1ca32753832146656755f6e7a7">GetDuration</a> () const </td></tr>
<tr class="separator:a8cfe1c1ca32753832146656755f6e7a7 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5891e60944d8542a8bd1eb8862e5010e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a5891e60944d8542a8bd1eb8862e5010e">loop</a> ()</td></tr>
<tr class="separator:a5891e60944d8542a8bd1eb8862e5010e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd67b5953eb1b55a52a87a779574e3b6 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#acd67b5953eb1b55a52a87a779574e3b6">AdjustMovingPositionsSize</a> (uint8_t inNewSize)</td></tr>
<tr class="separator:acd67b5953eb1b55a52a87a779574e3b6 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac89f301db7c889f32aa8ab5534592975 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac89f301db7c889f32aa8ab5534592975">IsEmpty</a> () const </td></tr>
<tr class="separator:ac89f301db7c889f32aa8ab5534592975 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a224977dffaa54df56def6a7b15af0031 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">IndexOfMovingPosition</a> (unsigned long inId) const </td></tr>
<tr class="separator:a224977dffaa54df56def6a7b15af0031 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa249535a3c36291764e38ab1e4ae4cee inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aa249535a3c36291764e38ab1e4ae4cee">GetMovingPosition</a> (unsigned long inId) const </td></tr>
<tr class="separator:aa249535a3c36291764e38ab1e4ae4cee inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62eee418f630f805d36f6005e0db1a9e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">GetMovingPositionByIndex</a> (int inIndex) const </td></tr>
<tr class="separator:a62eee418f630f805d36f6005e0db1a9e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f0410f39fa692494b51bc880714bdd1 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">GetMovingPositionIdByIndex</a> (int inIndex) const </td></tr>
<tr class="separator:a4f0410f39fa692494b51bc880714bdd1 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a292f4e066803d0f6f32a953216443c9d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a292f4e066803d0f6f32a953216443c9d">GetLastMovingPosition</a> () const </td></tr>
<tr class="separator:a292f4e066803d0f6f32a953216443c9d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4dc998e8f09ac7f94a3e06c56e8d5d4 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a> () const </td></tr>
<tr class="separator:ac4dc998e8f09ac7f94a3e06c56e8d5d4 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e837b6c4251c2fe69066d3146dd8478 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a5e837b6c4251c2fe69066d3146dd8478">SetLastMovingPosition</a> (uint8_t inLastPositionIndex)</td></tr>
<tr class="separator:a5e837b6c4251c2fe69066d3146dd8478 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83da11bad71b628431ac86cc1cbaf60c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a83da11bad71b628431ac86cc1cbaf60c">SetDebounceDelay</a> (unsigned int inDebounceDelay)</td></tr>
<tr class="separator:a83da11bad71b628431ac86cc1cbaf60c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4a38203fce08f72755835ff126bddb0 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af4a38203fce08f72755835ff126bddb0">SetLastMoveTime</a> ()</td></tr>
<tr class="separator:af4a38203fce08f72755835ff126bddb0 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e68b4693371383dfb026869af30d1d2 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6e68b4693371383dfb026869af30d1d2">SetDuration</a> (unsigned long inDuration)</td></tr>
<tr class="separator:a6e68b4693371383dfb026869af30d1d2 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d8deba14ebc355146c2ff26b4e4669c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a1d8deba14ebc355146c2ff26b4e4669c">SetNextAccessory</a> (Accessory *inAccessory)</td></tr>
<tr class="separator:a1d8deba14ebc355146c2ff26b4e4669c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa27a04b9e2a95729e491598cb34c6e47 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">Accessory *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aa27a04b9e2a95729e491598cb34c6e47">GetNextAccessory</a> () const </td></tr>
<tr class="separator:aa27a04b9e2a95729e491598cb34c6e47 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a9a9e26544b859289f125dd075cf52e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a8a9a9e26544b859289f125dd075cf52e">GetActionStartingMillis</a> () const </td></tr>
<tr class="separator:a8a9a9e26544b859289f125dd075cf52e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1dad31ee3bcac4b1baf9a140c7fa57d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">StartAction</a> ()</td></tr>
<tr class="separator:ab1dad31ee3bcac4b1baf9a140c7fa57d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a3c9f8604297fcb55141a720169fd90 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a9a3c9f8604297fcb55141a720169fd90">StartAction</a> (ACC_STATE inState)</td></tr>
<tr class="separator:a9a3c9f8604297fcb55141a720169fd90 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3de65543a892b3418df72f54439605cb inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a3de65543a892b3418df72f54439605cb">ResetAction</a> ()</td></tr>
<tr class="separator:a3de65543a892b3418df72f54439605cb inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c3ad3e37a2ba5914f419abd3e2426f inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae8c3ad3e37a2ba5914f419abd3e2426f">IsActionDelayPending</a> () const </td></tr>
<tr class="separator:ae8c3ad3e37a2ba5914f419abd3e2426f inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef81e617d15f62090ccce7eee4f0d3c3 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aef81e617d15f62090ccce7eee4f0d3c3">IsGroupActionPending</a> () const </td></tr>
<tr class="separator:aef81e617d15f62090ccce7eee4f0d3c3 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a212359e11100e5ee9af5bd94a64d8823 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a212359e11100e5ee9af5bd94a64d8823">CanBePositional</a> () const </td></tr>
<tr class="separator:a212359e11100e5ee9af5bd94a64d8823 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3662f43014a6ec1f8719a687fe5c33ba inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a3662f43014a6ec1f8719a687fe5c33ba">MovePosition</a> (int inPosition)</td></tr>
<tr class="separator:a3662f43014a6ec1f8719a687fe5c33ba inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a408602468720dbf84c1e3d27cc0385da inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a408602468720dbf84c1e3d27cc0385da">SetState</a> (ACC_STATE inNewState)</td></tr>
<tr class="separator:a408602468720dbf84c1e3d27cc0385da inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e5e9122c96773c975fe9d2c2db6520 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a> (ACC_STATE inNewState)</td></tr>
<tr class="separator:a60e5e9122c96773c975fe9d2c2db6520 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5208f338b6ea9a5b5fd554c4e1ec60e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac5208f338b6ea9a5b5fd554c4e1ec60e">SetStartingMillis</a> ()</td></tr>
<tr class="separator:ac5208f338b6ea9a5b5fd554c4e1ec60e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a882c7616f0433475d65e1ac5e8ecf616 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a882c7616f0433475d65e1ac5e8ecf616">ResetStartingMillis</a> ()</td></tr>
<tr class="separator:a882c7616f0433475d65e1ac5e8ecf616 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classAccessory')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:a6cf36c65d1519eb7e5a6aac1cba7fe51 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6cf36c65d1519eb7e5a6aac1cba7fe51">ExecuteEvent</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:a6cf36c65d1519eb7e5a6aac1cba7fe51 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8b0920b2a419e278fbc79e3fcc75f86 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af8b0920b2a419e278fbc79e3fcc75f86">GetCount</a> ()</td></tr>
<tr class="separator:af8b0920b2a419e278fbc79e3fcc75f86 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4efeb5b525027d5ccb692f0560a3474 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae4efeb5b525027d5ccb692f0560a3474">IsActionPending</a> ()</td></tr>
<tr class="separator:ae4efeb5b525027d5ccb692f0560a3474 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab89d2b99293b24e6ccc38938384563f2 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static Accessory *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ab89d2b99293b24e6ccc38938384563f2">GetFirstAccessory</a> ()</td></tr>
<tr class="separator:ab89d2b99293b24e6ccc38938384563f2 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classAccessory')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:ae1ebffdf3fe753e3c5e7d05c2a61fd18 inherit pro_attribs_classAccessory"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPort.html">Port</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a></td></tr>
<tr class="separator:ae1ebffdf3fe753e3c5e7d05c2a61fd18 inherit pro_attribs_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7079494cf9cb5130e5b3a5762e04e947 inherit pro_attribs_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a7079494cf9cb5130e5b3a5762e04e947">prevState</a></td></tr>
<tr class="separator:a7079494cf9cb5130e5b3a5762e04e947 inherit pro_attribs_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class describes a group of lights. This is typically used for railroad or traffic signals. This group of lights can define a '<a class="el" href="structMovingPosition.html">MovingPosition</a>' which represents a combination of lights on, off and/or blinking. Each moving position defines an identifier and two masks on an integer, one for on/off status, another facultative one for blinking lights. An integer is 16 bits long, so this is the maximum number of lights a <a class="el" href="structMovingPosition.html">MovingPosition</a> can handle.</p>
<p>For a group of five lights, three moving psitions defined with id from 125 to 127 (why not ?) :</p>
<table class="doxtable">
<tr>
<th>moving position id </th><th>mask </th><th>blink mask </th><th>light 0 </th><th>1 </th><th>2 </th><th>3 </th><th>4  </th></tr>
<tr>
<td>125 </td><td>B10000 </td><td>B00000 </td><td>on </td><td>off</td><td>off</td><td>off</td><td>off </td></tr>
<tr>
<td>126 </td><td>B10100 </td><td>B00000 </td><td>on </td><td>off</td><td>on </td><td>off</td><td>off </td></tr>
<tr>
<td>127 </td><td>B11000 </td><td>B00001 </td><td>on </td><td>on </td><td>off</td><td>off</td><td>blink </td></tr>
</table>
<p>The moving positions are stored like any other <a class="el" href="classAccessory.html">Accessory</a> in the <a class="el" href="structMovingPosition.html">MovingPosition</a> list in the base class <a class="el" href="classAccessory.html">Accessory</a> itself. The blinking masks cannot be stored in the same structure, so a new list of blinking masks is created inside this class, and the indexes are synchronized between the two lists. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00035">35</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="adc4e714b7f01c4e52fd9c43b019508c4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AccessoryLightMulti::AccessoryLightMulti </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8cpp_source.html#l00012">12</a> of file <a class="el" href="AccessoryLightMulti_8cpp_source.html">AccessoryLightMulti.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a9cb4fc1241f7554a65ac7f5200d64a06"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char AccessoryLightMulti::AddMovingPosition </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inOnMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inBlinkMask</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Add a new moving position. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of this moving position. </td></tr>
    <tr><td class="paramname">inOnMask</td><td>Each bit at 1 of this mask will turn on this light on. </td></tr>
    <tr><td class="paramname">inBlinkMask</td><td>Each bit at 1 of this mask will flash this light. Default is 0. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>index of the moving position in the internal list. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8cpp_source.html#l00066">66</a> of file <a class="el" href="AccessoryLightMulti_8cpp_source.html">AccessoryLightMulti.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a4858bce0c40dcd22c889260fe3aef472"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::AdjustMovingPositionBlinksSize </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inNewSize</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the number of moving positions. If some <a class="el" href="structMovingPosition.html">MovingPosition</a> was previously existing, they will be preserved. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inNewSize</td><td>new size. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8cpp_source.html#l00050">50</a> of file <a class="el" href="AccessoryLightMulti_8cpp_source.html">AccessoryLightMulti.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a2048a93d24ba8c9ebcec76943489ea91"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::begin </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inBlinkDuration</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of this accessory. </td></tr>
    <tr><td class="paramname">inSize</td><td>Total number of lights in the group. </td></tr>
    <tr><td class="paramname">inBlinkDuration</td><td><a class="el" href="classAccessoryLightMulti.html#a908b9ccc1cadab73a7b0c82408956242">Blink</a> duration, 0 for fix light. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8cpp_source.html#l00032">32</a> of file <a class="el" href="AccessoryLightMulti_8cpp_source.html">AccessoryLightMulti.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a78bf5f84b109939af2c7c13cd51bd9d0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::beginLight </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPort.html">Port</a> *&#160;</td>
          <td class="paramname"><em>inpPort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inIntensity</em> = <code>255</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize one light in the group. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIndex</td><td>index of the light in the group. </td></tr>
    <tr><td class="paramname">inpPort</td><td><a class="el" href="classPort.html">Port</a> driven this light. </td></tr>
    <tr><td class="paramname">inIntensity</td><td>Intensity of this light. Default is maximum, 255. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8cpp_source.html#l00075">75</a> of file <a class="el" href="AccessoryLightMulti_8cpp_source.html">AccessoryLightMulti.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a908b9ccc1cadab73a7b0c82408956242"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::Blink </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Turn the given light on and blink. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIndex</td><td>Index of the light to scan. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00126">126</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8eca70cd9de57a113e4f05e19ff6f135"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::Blink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Turn all the lights on and blink. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8cpp_source.html#l00093">93</a> of file <a class="el" href="AccessoryLightMulti_8cpp_source.html">AccessoryLightMulti.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="ac4176e67ab3b73ba0e497f0afd8d37c9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::Event </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACCESSORIES_EVENT_TYPE&#160;</td>
          <td class="paramname"><em>inEvent</em> = <code>ACCESSORIES_EVENT_MOVEPOSITIONID</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Execute a new event. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of an accessory or an accessory item. </td></tr>
    <tr><td class="paramname">inEvent</td><td>Type of the new event. Default is ACCESSORIES_EVENT_MOVEPOSITIONID. </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data to the event type. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a6f4a8cacc38e0bac6e83ed5a136073e0">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8cpp_source.html#l00172">172</a> of file <a class="el" href="AccessoryLightMulti_8cpp_source.html">AccessoryLightMulti.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="af2c436dc5e09105f3993e14899ec41d2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int AccessoryLightMulti::GetMovingPositionBlinksByIndex </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inIndex</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the blinking mask for the given index. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIndex</td><td>Index of the light to scan. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Blinking mask for the light number 'inIndex'. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00096">96</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a43c0226e1ecd6631fa58c1535d222ae1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t AccessoryLightMulti::GetSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the number of lights. </p><dl class="section return"><dt>Returns</dt><dd>number of lights. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00079">79</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8009f072b92207ca2973dba58fe27f08"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryLightMulti::IsBlinking </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inIndex</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the light is blinking. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIndex</td><td>index of the light to check. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the light is blinking. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00069">69</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ace2d14897b7bd7507ae2efd9559f414b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryLightMulti::IsFading </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inIndex</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the light is fading. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIndex</td><td>index of the light to check. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the light is fading. </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>A light can dim only with an analog pin. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00075">75</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a6b6bfb68a1e0a43014e4513a31eb9b75"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryLightMulti::IsOn </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inIndex</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the light is blinking. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIndex</td><td>index of the light to check. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the light is blinking. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00064">64</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a66878a02b8d664908bbea1c709f1ed13"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::LightOff </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Turn the given light off. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIndex</td><td>Index of the light to scan. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00122">122</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="abc2f4f0a58167b6c58528e1a28ac3fff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::LightOff </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Turn all the lights off. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8cpp_source.html#l00087">87</a> of file <a class="el" href="AccessoryLightMulti_8cpp_source.html">AccessoryLightMulti.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8f44a200112a4f9a7975b5a2bfc9acee"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::LightOn </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Turn the given light on. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIndex</td><td>Index of the light to scan. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00118">118</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a625c85995aed27f770ebeaf470e4f3d5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::LightOn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Turn all the lights on. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8cpp_source.html#l00081">81</a> of file <a class="el" href="AccessoryLightMulti_8cpp_source.html">AccessoryLightMulti.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a4908ded538e80f4bcf00121abc530e02"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::SetBlinking </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inBlinkingDelay</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the blinking delay for the given index. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIndex</td><td>Index of the light to scan. </td></tr>
    <tr><td class="paramname">inBlinkingDelay</td><td>Blinking delay in milliseconds for the light number 'inIndex'. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00101">101</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="add77cc4740dc625ade9a66d26103dcf2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLightMulti::SetFading </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inStep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inDelay</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the fading steps for the given index. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inIndex</td><td>Index of the light to scan. </td></tr>
    <tr><td class="paramname">inStep</td><td>Number of steps between light on and light off. </td></tr>
    <tr><td class="paramname">inDelay</td><td>Duration of each step. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLightMulti_8hpp_source.html#l00107">107</a> of file <a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryLightMulti_8hpp_source.html">AccessoryLightMulti.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryLightMulti_8cpp_source.html">AccessoryLightMulti.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classAccessoryLightMulti.html">AccessoryLightMulti</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
